# Changelog

<https://keepachangelog.com/>

Types of changes

- 'Added' for new features.
- 'Changed' for changes in existing functionality.
- 'Deprecated' for soon-to-be removed features.
- 'Removed' for now removed features.
- 'Fixed' for any bug fixes.
- 'Security' in case of vulnerabilities.

---

## TODOs

- get version number from latest git tag

### Data Processing

- add PTRMS prc to SU and MS files
  - add VOC data specific parameters (background, uncertainty, etc.)
- publish new dataset on zenodo

## Backlog

- use a polars dataframe for better efficiency - if that turns out to be a bottleneck. (!) Keep this in mind when using pandas-specific functions.
- add tests
- add pre-commit
- get a DOI for the code

---

## [Unreleased]

## v0.0.12 - 2025-03-24

### Added

- flight info
- variable info

### Changed

- get version number from latest git tag
- exclude processing variables from Variables dropdown
- clean-up of flight and variable selection

## v0.0.11 - 2025-03-24

### Added

- DotDict class for configuration

### Changed

- use DotDict class for app config

## v0.0.10 - 2025-03-21

initial upload
